## kdewebdev 4.7.3

=== debian/changelog ===
kdewebdev (4:4.7.3-0ubuntu0.1) oneiric-proposed; urgency=low

  [ Philip Muškovac ]
  * New  upstream bugfix release (LP: #901975)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 08 Dec 2011 22:20:52 -0500

kdewebdev (4:4.7.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release (LP: #872506)
    - Add documentation pictures to kimagemapeditor.install and
      klinkstatus.install

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Oct 2011 10:35:39 +0200

=== debian/control ===
Source: kdewebdev
Section: web
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
 José Manuel Santamaría Lema <panfaust@gmail.com>
Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
 cmake,
 debhelper (>= 7.3.16),
 pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.6),
 kdepimlibs5-dev (>= 4:4.6),
 libtidy-dev,
 zlib1g-dev,
 libboost1.46-dev,
 libxslt-dev
Standards-Version: 3.9.2
Homepage: http://kdewebdev.org/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev

Package: kdewebdev
Architecture: all
Section: kde
Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
 klinkstatus (>= ${source:Version}), 
 kommander (>= ${source:Version})
Description: web development apps from the official KDE release
 This metapackage includes a collection of web development applications
 provided with the official release of KDE.

Package: kfilereplace
Architecture: any
Section: kde
Depends: ${shlibs:Depends}
Description: batch search-and-replace component 
 KFileReplace is an embedded component for KDE that acts as a batch
 search-and-replace tool. It allows you to replace one expression with
 another in many files at once.
 .
 This package is part of KDE web development module.

Package: kimagemapeditor
Architecture: any
Section: editors
Depends: ${shlibs:Depends}
Description: HTML image map editor
 KImageMapEditor is a tool that allows you to edit image maps in HTML
 files. As well as providing a standalone application, KImageMapEditor
 makes itself available as a KPart for embedding into larger applications.
 .
 This package is part of KDE web development module.

Package: klinkstatus
Architecture: any
Section: web
Depends: ${shlibs:Depends}
Suggests: khelpcenter4
Description: web link validity checker
 KLinkStatus is KDE's web link validity checker. It allows you to
 search internal and external links throughout your web site. Simply
 point it to a single page and choose the depth to search.
 .
 You can also check local files, or files over ftp:, fish: or any other
 KIO protocols. For performance, links can be checked simultaneously.
 .
 This package is part of KDE web development module.

Package: kommander
Architecture: any
Section: devel
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kommander-dev
Description: visual dialog builder and executor tool
 Kommander is a visual dialog building tool whose primary objective is
 to create as much functionality as possible without using any scripting
 language.
 .
 More specifically, Kommander is a set of tools that allow you to create
 dynamic GUI dialogs that generate, based on their state, a piece of
 text. The piece of text can be a command line to a program, any piece
 of code, business documents that contain a lot of repetitious or
 templated text and so on.
 .
 The resulting generated text can then be executed as a command line
 program (hence the name "Kommander"), written to a file, passed to a
 script for extended processing, and literally anything else you can
 think of. And you aren't required to write a single line of code!
 .
 As well as building dialogs, Kommander may be expanded to create full
 mainwindow applications.
 .
 This package is part of KDE web development module.

Package: kdewebdev-dbg
Section: debug
Architecture: any
Depends: kde-runtime-dbg
Suggests: kdewebdev (= ${source:Version})
Priority: extra
Description: debugging symbols for the KDE web development module
 This package contains the debugging symbols associated with kdewebdev.
 They will automatically be used by gdb for debugging kdewebdev-related
 issues.

## kdewebdev 4.7.4

=== debian/changelog ===
kdewebdev (4:4.7.4-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.4.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 18 Dec 2011 01:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,23 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>,
- José Manuel Santamaría Lema <panfaust@gmail.com>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.3),
- cmake,
- debhelper (>= 7.3.16),
- pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.6),
- kdepimlibs5-dev (>= 4:4.6),
- libtidy-dev,
- zlib1g-dev,
- libboost1.46-dev,
- libxslt-dev
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+ cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
+ kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
+ libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
+Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
+ kimagemapeditor (>= ${source:Version}),
  klinkstatus (>= ${source:Version}), 
  kommander (>= ${source:Version})
 Description: web development apps from the official KDE release
@@ -33,7 +27,7 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: batch search-and-replace component 
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
@@ -44,7 +38,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -55,7 +49,7 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: khelpcenter4
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
@@ -96,7 +90,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: kde-runtime-dbg
+Depends: ${misc:Depends}, kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

## kdewebdev 4.8.2

=== debian/changelog ===
kdewebdev (4:4.8.2-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 01 Apr 2012 20:26:57 +0200

kdewebdev (4:4.8.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 04 Mar 2012 21:44:49 +0100

kdewebdev (4:4.8.0-0ubuntu1) precise; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jan 2012 12:10:24 +0000

kdewebdev (4:4.7.97-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jan 2012 12:18:22 +0000

kdewebdev (4:4.7.95-0ubuntu1) precise; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 24 Dec 2011 22:36:42 +0100

kdewebdev (4:4.7.90-0ubuntu1) precise; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Dec 2011 13:14:35 +0000

kdewebdev (4:4.7.3-0ubuntu1) precise; urgency=low

  * New upstream release
  * Merge from debian. Remaining changes:
    - Build against libboost1.42-dev
  * Make klinkstatus depend on Ruby for its example scripts

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 23 Nov 2011 23:46:45 +0000

kdewebdev (4:4.7.2-0r1) UNRELEASED; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump KDE SC build dependencies to 4:4.7.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 08 Oct 2011 22:26:07 +0200

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,25 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.7.4),
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
- libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
+ libtidy-dev, zlib1g-dev, libboost1.46-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
- kimagemapeditor (>= ${source:Version}),
+Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
  klinkstatus (>= ${source:Version}), 
  kommander (>= ${source:Version})
 Description: web development apps from the official KDE release
@@ -27,7 +29,7 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: batch search-and-replace component 
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
@@ -38,7 +40,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -49,8 +51,9 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Suggests: khelpcenter4
+Recommends: ruby
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
  search internal and external links throughout your web site. Simply
@@ -90,7 +93,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, kde-runtime-dbg
+Depends: kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

## kdewebdev 4.8.4

=== debian/changelog ===
kdewebdev (4:4.8.4-1) unstable; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump kde-sc-dev-latest build dependency to 4:4.8.4.
  * Bump kdelibs5-dev and kdepimlibs5-dev build dependency to 4.8.
  * Bump Standars-Version to 3.9.3, no further changes.

 -- Eshat Cakar <info@eshat.de>  Sun, 17 Jun 2012 01:02:59 +0200

kdewebdev (4:4.7.4-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Wed, 07 Mar 2012 14:33:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.2),
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>,
+ Modestas Vainius <modax@debian.org>, 
+ José Manuel Santamaría Lema <panfaust@gmail.com>,
+ Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
- libtidy-dev, zlib1g-dev, libboost1.46-dev, libxslt-dev
-Standards-Version: 3.9.2
+ kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8),
+ libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
+Standards-Version: 3.9.3
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
+Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
+Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
+Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
+ kimagemapeditor (>= ${source:Version}),
  klinkstatus (>= ${source:Version}), 
  kommander (>= ${source:Version})
 Description: web development apps from the official KDE release
@@ -29,7 +29,7 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: batch search-and-replace component 
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
@@ -40,7 +40,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -51,9 +51,8 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: khelpcenter4
-Recommends: ruby
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
  search internal and external links throughout your web site. Simply
@@ -93,7 +92,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: kde-runtime-dbg
+Depends: ${misc:Depends}, kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

## kdewebdev 4.8.5

=== debian/changelog ===
kdewebdev (4:4.8.5-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream bugfix release (LP: #1047417)

 -- Scott Kitterman <scott@kitterman.com>  Fri, 07 Sep 2012 16:50:46 +0200

kdewebdev (4:4.8.3-0ubuntu0.1) precise-proposed; urgency=low

  * New upstream release (LP: #1002336)

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 20:00:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,25 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>,
- Modestas Vainius <modax@debian.org>, 
- José Manuel Santamaría Lema <panfaust@gmail.com>,
- Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.4),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
+ José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8), kdepimlibs5-dev (>= 4:4.8),
- libtidy-dev, zlib1g-dev, libboost-dev, libxslt-dev
-Standards-Version: 3.9.3
+ kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
+ libtidy-dev, zlib1g-dev, libboost1.46-dev, libxslt-dev
+Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
+X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
- kimagemapeditor (>= ${source:Version}),
+Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
  klinkstatus (>= ${source:Version}), 
  kommander (>= ${source:Version})
 Description: web development apps from the official KDE release
@@ -29,7 +29,7 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: batch search-and-replace component 
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
@@ -40,7 +40,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -51,8 +51,9 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}
 Suggests: khelpcenter4
+Recommends: ruby
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
  search internal and external links throughout your web site. Simply
@@ -92,7 +93,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, kde-runtime-dbg
+Depends: kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

## kdewebdev 4.9.2

=== debian/changelog ===
kdewebdev (4:4.9.2-0ubuntu2) quantal; urgency=low

  * Rebuild to get missing binaries that were lost due to being copied from
    proposed to release before they were built

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Oct 2012 01:00:25 -0400

kdewebdev (4:4.9.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 02 Oct 2012 15:26:40 +0100

kdewebdev (4:4.9.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Harald Sitter <apachelogger@ubuntu.com>  Mon, 10 Sep 2012 18:29:08 +0530

kdewebdev (4:4.9.0-0ubuntu1) quantal; urgency=low

  * Use direct build-depends versions rather than kde-sc-dev-latest
  * New upstream release
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 26 Jul 2012 22:22:59 +0100

kdewebdev (4:4.8.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release.

 -- Felix Geyer <debfx@ubuntu.com>  Mon, 11 Jun 2012 23:27:23 +0200

kdewebdev (4:4.8.80-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Jun 2012 12:04:51 +0100

kdewebdev (4:4.8.3-0ubuntu1) quantal; urgency=low

  [ Jonathan Kolberg ]
  * New upstream release

  [ Philip Muškovac ]
  * Switch boost build-dep to 1.49 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 15 May 2012 13:44:36 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.8.5),
+Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.8.1), kdepimlibs5-dev (>= 4:4.8.1),
- libtidy-dev, zlib1g-dev, libboost1.46-dev, libxslt-dev
+ kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
+ libtidy-dev, zlib1g-dev, libboost1.49-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev

## kdewebdev 4.10.0

=== debian/changelog ===
kdewebdev (4:4.10.0-0ubuntu1) raring-proposed; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 06 Feb 2013 11:51:49 +0000

kdewebdev (4:4.9.98-0ubuntu1) raring-proposed; urgency=low

  * New upstream release candidate

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 18 Jan 2013 15:33:39 +0000

kdewebdev (4:4.9.97-0ubuntu1) raring; urgency=low

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 03 Jan 2013 22:33:35 +0100

kdewebdev (4:4.9.95-0ubuntu1) raring; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Dec 2012 23:28:01 +0000

kdewebdev (4:4.9.90-0ubuntu1) raring-proposed; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Dec 2012 17:51:07 +0000

kdewebdev (4:4.9.80-0ubuntu1) raring; urgency=low

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Nov 2012 15:56:50 +0000

kdewebdev (4:4.9.3-0ubuntu1) raring; urgency=low

  * New upstream release (LP: #1074747)

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 06 Nov 2012 22:35:24 +0100

kdewebdev (4:4.7.2-0r1) raring; urgency=low

  * New upstream release.

  [ José Manuel Santamaría Lema ]
  * Bump kde-sc-dev-latest build dependency to 4:4.7.2.
  * Bump KDE SC build dependencies to 4:4.7.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 08 Oct 2011 22:26:07 +0200

kdewebdev (4:4.4.5-2) raring; urgency=low

  * Point debian/control Vcs fields to the new Git repository.

 -- Modestas Vainius <modax@debian.org>  Mon, 26 Jul 2010 23:24:39 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.9.2), kdepimlibs5-dev (>= 4:4.9.2),
+ kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0),
  libtidy-dev, zlib1g-dev, libboost1.49-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/

## kdewebdev 4.10.2

=== debian/changelog ===
kdewebdev (4:4.10.2-0ubuntu1) raring; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 31 Mar 2013 14:47:02 +0200

kdewebdev (4:4.10.1-0ubuntu1) raring-proposed; urgency=low

  * New upstream bugfix release

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 05 Mar 2013 15:43:50 +0000

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.0), kdepimlibs5-dev (>= 4:4.10.0),
+ kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2),
  libtidy-dev, zlib1g-dev, libboost1.49-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/

## kdewebdev 4.10.4

=== debian/changelog ===
kdewebdev (4:4.10.4-0ubuntu0.1) raring-proposed; urgency=low

  * New upstream bugfix release (LP: #1187574)

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 20 Jun 2013 04:31:06 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
 Build-Depends: 
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.2), kdepimlibs5-dev (>= 4:4.10.2),
+ kdelibs5-dev (>= 4:4.10.4), kdepimlibs5-dev (>= 4:4.10.4),
  libtidy-dev, zlib1g-dev, libboost1.49-dev, libxslt-dev
 Standards-Version: 3.9.2
 Homepage: http://kdewebdev.org/

## kdewebdev 4.11.2

=== debian/changelog ===
kdewebdev (4:4.11.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 30 Sep 2013 14:22:31 +0100

kdewebdev (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 06 Sep 2013 22:21:15 +0100

kdewebdev (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:13:24 +0100

kdewebdev (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 19:31:49 +0100

kdewebdev (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:32:21 +0000

kdewebdev (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:12:02 +0100

kdewebdev (4:4.10.80-0ubuntu1) saucy; urgency=low

  [ Rohan Garg ]
  * New upstream release

  [ Philip Muškovac ]
  * Update icon paths in kfilereplace.install 

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 01:13:27 +0100

kdewebdev (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 07 Jun 2013 00:30:27 +0100

kdewebdev (4:4.10.3-0ubuntu1) saucy; urgency=low

  * New upstream release
  * Merge from debian. Remaining changes:
    - Build against libboost1.53-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 May 2013 11:04:37 +0000

kdewebdev (4:4.10.2-1) experimental; urgency=low

  * New upstream release.

  [ Eshat Cakar ]
  * Add watch file.
  * Bump Standars-Version to 3.9.3, no further changes.

  [ Diane Trout ]
  * Bump kde-sc-dev-latest build dependency to 4:4.10.2
  * Bump kdelibs5-dev and kdepimlibs5-dev build dependency to 4.10.

  [ Sune Vuorela ]
  * Update uploaders.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 06:19:18 +0000

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Sune Vuorela <sune@debian.org>, Modestas Vainius <modax@debian.org>, 
- José Manuel Santamaría Lema <panfaust@gmail.com>, Eshat Cakar <info@eshat.de>
-Build-Depends: 
+Uploaders: Sune Vuorela <sune@debian.org>,
+ Modestas Vainius <modax@debian.org>, 
+ Eshat Cakar <info@eshat.de>
+Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.4), kdepimlibs5-dev (>= 4:4.10.4),
- libtidy-dev, zlib1g-dev, libboost1.49-dev, libxslt-dev
-Standards-Version: 3.9.2
+ kdepimlibs5-dev (>= 4:4.11.2),
+ libtidy-dev, zlib1g-dev, libboost1.53-dev, libxslt-dev
+Standards-Version: 3.9.3
 Homepage: http://kdewebdev.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
 Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
@@ -19,7 +20,8 @@
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: kfilereplace (>= ${source:Version}), kimagemapeditor (>= ${source:Version}), 
+Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
+ kimagemapeditor (>= ${source:Version}),
  klinkstatus (>= ${source:Version}), 
  kommander (>= ${source:Version})
 Description: web development apps from the official KDE release
@@ -29,7 +31,7 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: batch search-and-replace component 
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
@@ -40,7 +42,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -51,9 +53,8 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: khelpcenter4
-Recommends: ruby
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
  search internal and external links throughout your web site. Simply
@@ -93,7 +94,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: kde-runtime-dbg
+Depends: ${misc:Depends}, kde-runtime-dbg
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

## kdewebdev 4.11.3

=== debian/changelog ===
kdewebdev (4:4.11.3-0ubuntu0.1) saucy; urgency=low

  * New upstream bugfix release (LP: #1247235)

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 29 Nov 2013 15:50:55 +0000

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.2),
+ kdepimlibs5-dev (>= 4:4.11.3),
  libtidy-dev, zlib1g-dev, libboost1.53-dev, libxslt-dev
 Standards-Version: 3.9.3
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev-13.10
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev-13.10
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git

## kdewebdev 4.12.3

=== debian/changelog ===
kdewebdev (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:36:03 +0100

kdewebdev (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 20:43:08 +0100

kdewebdev (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Feb 2014 23:57:34 +0000

kdewebdev (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:15:07 +0000

kdewebdev (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:03:31 +0000

kdewebdev (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:06:07 +0000

kdewebdev (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:02:22 +0100

kdewebdev (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sat, 23 Nov 2013 17:39:03 +0100

kdewebdev (4:4.11.2-0ubuntu2) trusty; urgency=low

  * Bump to Boost 1.54.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Sat, 26 Oct 2013 22:26:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,12 +8,12 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.11.3),
- libtidy-dev, zlib1g-dev, libboost1.53-dev, libxslt-dev
+ kdepimlibs5-dev (>= 4:4.12.3),
+ libtidy-dev, zlib1g-dev, libboost1.48-dev, libxslt-dev
 Standards-Version: 3.9.3
 Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
 X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
 X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git

## kdewebdev 4.13.0

=== kommander/widgets/CMakeLists.txt ===
### Kommander Widgets ###
add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS)

INCLUDE_DIRECTORIES( 
 	${CMAKE_CURRENT_SOURCE_DIR}/../lib
	${CMAKE_CURRENT_SOURCE_DIR} 
	${CMAKE_CURRENT_BINARY_DIR} 
	${KDE4_INCLUDE_DIR} 
	${QT_INCLUDE_DIR}
        ${QT_DESIGNER_LIBRARY}
)


########### next target ###############

SET(kommanderwidgets_LIB_SRCS
aboutdialog.cpp
fontdialog.cpp
buttongroup.cpp
checkbox.cpp
closebutton.cpp
combobox.cpp
datepicker.cpp
dialog.cpp
execbutton.cpp
fileselector.cpp
groupbox.cpp
konsole.cpp
label.cpp
lineedit.cpp
listbox.cpp
pixmaplabel.cpp
plugin.cpp
popupmenu.cpp
progressbar.cpp
radiobutton.cpp
richtexteditor.cpp
scriptobject.cpp
slider.cpp
spinboxint.cpp
statusbar.cpp
subdialog.cpp
table.cpp
tabwidget.cpp
textbrowser.cpp
textedit.cpp
timer.cpp
toolbox.cpp
treewidget.cpp
wizard.cpp
)

KDE4_ADD_LIBRARY(kommanderwidgets SHARED ${kommanderwidgets_LIB_SRCS})

########### next target ###############

SET(kmdrdesignerwidgets_LIB_SRCS
aboutdialogkmdrdesignerplugin.cpp
buttongroupkmdrdesignerplugin.cpp
checkboxkmdrdesignerplugin.cpp
closebuttonkmdrdesignerplugin.cpp
comboboxkmdrdesignerplugin.cpp
datepickerkmdrdesignerplugin.cpp
execbuttonkmdrdesignerplugin.cpp
fileselectorkmdrdesignerplugin.cpp
fontdialogkmdrdesignerplugin.cpp
groupboxkmdrdesignerplugin.cpp
kmdrdesignerwidgets.cpp
konsolekmdrdesignerplugin.cpp
labelkmdrdesignerplugin.cpp
lineeditkmdrdesignerplugin.cpp
listboxkmdrdesignerplugin.cpp
pixmaplabelkmdrdesignerplugin.cpp
popupmenukmdrdesignerplugin.cpp
progressbarkmdrdesignerplugin.cpp
radiobuttonkmdrdesignerplugin.cpp
scriptobjectkmdrdesignerplugin.cpp
sliderkmdrdesignerplugin.cpp
spinboxintkmdrdesignerplugin.cpp
statusbarkmdrdesignerplugin.cpp
tablekmdrdesignerplugin.cpp
tabwidgetkmdrdesignerplugin.cpp
textbrowserkmdrdesignerplugin.cpp
texteditkmdrdesignerplugin.cpp
timerkmdrdesignerplugin.cpp
toolboxkmdrdesignerplugin.cpp
treewidgetkmdrdesignerplugin.cpp
wizardkmdrdesignerplugin.cpp
)

#KDE4_ADD_LIBRARY(kmdrdesignerwidgets SHARED ${kmdrdesignerwidgets_LIB_SRCS})

TARGET_LINK_LIBRARIES(
 kommanderwidgets  
 kommandercore 
 ${KDE4_KDEUI_LIBS}
 ${KDE4_KDE3SUPPORT_LIBS}
 ${KDE4_KIO_LIBS} 
)

SET_TARGET_PROPERTIES(kommanderwidgets PROPERTIES VERSION 4.2.0 SOVERSION 4 )
INSTALL(TARGETS kommanderwidgets ${INSTALL_TARGETS_DEFAULT_ARGS})


########### install files ###############

=== klinkstatus/data/icons/32x32/CMakeLists.txt ===
#kde4_install_icons( ${DATA_INSTALL_DIR}/klinkstatuspart/pics  )

=== debian/changelog ===
kdewebdev (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 21:59:31 +0100

kdewebdev (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:23:41 +0200

kdewebdev (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:25:54 +0100

kdewebdev (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 10:54:15 +0000

kdewebdev (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 20:45:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,8 +8,8 @@
  Eshat Cakar <info@eshat.de>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.12.3),
- libtidy-dev, zlib1g-dev, libboost1.48-dev, libxslt-dev
+ kdepimlibs5-dev (>= 4:4.13.0),
+ libtidy-dev, zlib1g-dev, libboost1.54-dev, libxslt-dev
 Standards-Version: 3.9.3
 Homepage: http://kdewebdev.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/2/debian-qt-kde.mk

.PHONY: override_dh_auto_test

override_dh_strip:
	$(overridden_command) --dbg-package=kdewebdev-dbg

## kdewebdev 4.14.1

=== klinkstatus/CMakeLists.txt ===
project(klinkstatus)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

find_package(KdepimLibs REQUIRED)

macro_optional_find_package(LibTidy)
macro_log_feature(LIBTIDY_FOUND "libtidy" "HTML Tidy" "http://tidy.sourceforge.net" FALSE "" "Gives KlinkStatus the ability to tidy HTML")
macro_bool_to_01(LIBTIDY_FOUND HAVE_LIBTIDY)

add_subdirectory( data )
add_subdirectory( src )

=== kimagemapeditor/pics/CMakeLists.txt ===
install( FILES  addpointcursor.png freehandcursor.png polygoncursor.png removepointcursor.png  DESTINATION ${DATA_INSTALL_DIR}/kimagemapeditor)

kde4_install_icons( ${ICON_INSTALL_DIR}   )

=== klinkstatus/src/plugins/automation/CMakeLists.txt ===
include_directories(
    ${CMAKE_SOURCE_DIR}/klinkstatus/src 
    ${CMAKE_BINARY_DIR}/klinkstatus/src
    ${KDEPIMLIBS_INCLUDE_DIR}
)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}  ${KDE4_ENABLE_EXCEPTIONS}")

set(automationklinkstatus_PART_SRCS 
    automationpart.cpp
    automationdialog.cpp
    automationconfigpage.cpp
)

kde4_add_ui_files(automationklinkstatus_PART_SRCS
   ${CMAKE_SOURCE_DIR}/klinkstatus/src/plugins/automation/automationconfigpageui.ui
)

kde4_add_kcfg_files(automationklinkstatus_PART_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/engine/automationconfig.kcfgc)
kde4_add_kcfg_files(automationklinkstatus_PART_SRCS ${CMAKE_SOURCE_DIR}/klinkstatus/src/cfg/klsconfig.kcfgc)

kde4_add_plugin(automationklinkstatus ${automationklinkstatus_PART_SRCS})

target_link_libraries(automationklinkstatus
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KPARTS_LIBS}
    ${KDEPIMLIBS_MAILTRANSPORT_LIBS}
    klinkstatuscommon)

install(TARGETS automationklinkstatus DESTINATION ${PLUGIN_INSTALL_DIR})

########### install files ###############

install( FILES  klinkstatus_automation.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES  klinkstatus_automation.rc  DESTINATION ${DATA_INSTALL_DIR}/klinkstatuspart/kpartplugins)

=== debian/changelog ===
kdewebdev (4:4.14.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add an explicit kdelibs5-dev build dependency before kdepimlibs5-dev;
    this should help pulling phonon-backend-dummy as build dependency instead
    of a real backend, even if some library depends on phonon.
  * Remove obsolete installgen file.
  * Point Homepage to http://www.kde.org, as kdewebdev.org has expired.
    (Closes: #758292)

 -- Pino Toscano <pino@debian.org>  Sat, 04 Oct 2014 18:45:52 +0200

kdewebdev (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 24 Aug 2014 05:54:12 +0200

kdewebdev (4:4.12.3-3) unstable; urgency=medium

  * New patch: kommanderwidgets-to-plugin.patch (Closes: #631671) Thanks
    to Jim Scadden
  * Update install files.
  * Update watch file.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 14 Jul 2014 22:47:40 +0200

kdewebdev (4:4.12.3-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:25 +0200

kdewebdev (4:4.12.3-1) experimental; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 04 Mar 2014 00:06:24 +0100

kdewebdev (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:39 +0100

kdewebdev (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 20:08:09 +0100

kdewebdev (4:4.11.2-1) experimental; urgency=low

  * New upstream release.
  * Update install files.
  * Update build-dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 12:41:22 +0200

kdewebdev (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 16:38:20 +0200

kdewebdev (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 16:19:09 +0200

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,35 @@
 Source: kdewebdev
 Section: web
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
- Modestas Vainius <modax@debian.org>, 
- Eshat Cakar <info@eshat.de>
-Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
- cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdepimlibs5-dev (>= 4:4.13.0),
- libtidy-dev, zlib1g-dev, libboost1.54-dev, libxslt-dev
-Standards-Version: 3.9.3
-Homepage: http://kdewebdev.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/kdewebdev
-X-Debian-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdewebdev.git
-X-Debian-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdewebdev.git
+           Modestas Vainius <modax@debian.org>,
+           Eshat Cakar <info@eshat.de>,
+           Maximiliano Curia <maxy@debian.org>
+Build-Depends: cmake,
+               debhelper (>= 9),
+               kde-sc-dev-latest (>= 4:4.12),
+               kdelibs5-dev,
+               kdepimlibs5-dev (>= 4:4.11),
+               libboost-dev,
+               libtidy-dev,
+               libxslt-dev,
+               nepomuk-core-dev (>= 4:4.11),
+               pkg-kde-tools (>= 0.12),
+               zlib1g-dev
+Standards-Version: 3.9.5
+Homepage: http://www.kde.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/kdewebdev.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/kdewebdev.git
 
 Package: kdewebdev
 Architecture: all
 Section: kde
-Depends: ${misc:Depends}, kfilereplace (>= ${source:Version}),
- kimagemapeditor (>= ${source:Version}),
- klinkstatus (>= ${source:Version}), 
- kommander (>= ${source:Version})
+Depends: kfilereplace (>= ${source:Version}),
+         kimagemapeditor (>= ${source:Version}),
+         klinkstatus (>= ${source:Version}),
+         kommander (>= ${source:Version}),
+         ${misc:Depends}
 Description: web development apps from the official KDE release
  This metapackage includes a collection of web development applications
  provided with the official release of KDE.
@@ -31,8 +37,8 @@
 Package: kfilereplace
 Architecture: any
 Section: kde
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: batch search-and-replace component 
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: batch search-and-replace component
  KFileReplace is an embedded component for KDE that acts as a batch
  search-and-replace tool. It allows you to replace one expression with
  another in many files at once.
@@ -42,7 +48,7 @@
 Package: kimagemapeditor
 Architecture: any
 Section: editors
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: HTML image map editor
  KImageMapEditor is a tool that allows you to edit image maps in HTML
  files. As well as providing a standalone application, KImageMapEditor
@@ -53,7 +59,7 @@
 Package: klinkstatus
 Architecture: any
 Section: web
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: khelpcenter4
 Description: web link validity checker
  KLinkStatus is KDE's web link validity checker. It allows you to
@@ -68,7 +74,7 @@
 Package: kommander
 Architecture: any
 Section: devel
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Replaces: kommander-dev
 Description: visual dialog builder and executor tool
  Kommander is a visual dialog building tool whose primary objective is
@@ -94,7 +100,7 @@
 Package: kdewebdev-dbg
 Section: debug
 Architecture: any
-Depends: ${misc:Depends}, kde-runtime-dbg
+Depends: kde-runtime-dbg, ${misc:Depends}
 Suggests: kdewebdev (= ${source:Version})
 Priority: extra
 Description: debugging symbols for the KDE web development module

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/kdewebdev-([\d.]+).tar.xz
